# Preview
![Preview](https://cdn.discordapp.com/attachments/749076478146117733/830507824420618260/unknown.png)

# Info

Auriel, the Light of Hope, graces us with her presence in battle. 

The position and scale of custom ui elements and custom key input added by this mod are configurable.

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][passive] | Passive | Auriel can fly at will. Auriel passively charges Energy when casting Searing Light. Energy allows Auriel to cast Energy Skills. |
| ![][primary] | Primary: Searing Light | Auriel fires a fiery angelic light that pierces and hits all enemies in a line for 260% damage. While under the effects of Bestow Hope, Searing Light travels farther and faster. |
| ![][secondary] | Secondary: Sacred Sweep | Auriel sweeps the area with sacred power, pulling all nearby enemies to it's core and dragging them along it's path. |
| ![][secondaryEmp] | Secondary Empowered: Divine Beam | Auriel charges a divine power from within, piercing enemies with a powerful beam of light dealing 100% +Energy damage per hit and burns their wretched flesh. |
| ![][utility] | Utility: Bestow Hope | Auriel recovers a 5% of her health and gains 25% attack speed and 25% movement speed for a short duration. |
| ![][utilityEmp] | Utility Empowered: Ray of Heaven | Auriel blesses the ground with divine power, healing her and her teammates for 5% of her max health +Energy per second. |
| ![][special] | Special: Wrath of Heaven | Auriel channels a ray from heaven, granting her divine protection and deals 50% damage per second to nearby enemies. At the end of this cast, Auriel releases a burst of fiery light around her dealing 290% damage. |
| ![][specialEmp] | Special Empowered: Resurrect | Channel on the spirit of a fallen komrade for 2 seconds. After that, they are brought back to life at the location where they died. (Once per stage) |

[passive]: https://cdn.discordapp.com/attachments/749076478146117733/939028476814585856/storm_ui_icon_auriel_angelicflight.png
[primary]: https://cdn.discordapp.com/attachments/749076478146117733/939028476424519710/storm_ui_icon_auriel_restrainingblow_a.png
[secondary]: https://cdn.discordapp.com/attachments/749076478146117733/939028477091389501/storm_ui_icon_auriel_angelicsweep.png
[secondaryEmp]: https://cdn.discordapp.com/attachments/749076478146117733/939028477372411974/storm_ui_icon_auriel_angelicsweep_b.png
[utility]: https://cdn.discordapp.com/attachments/749076478146117733/939028477829578752/storm_ui_icon_auriel_bestowhope.png
[utilityEmp]: https://cdn.discordapp.com/attachments/749076478146117733/939028476218978354/storm_ui_icon_auriel_rayofheaven.png
[special]: https://cdn.discordapp.com/attachments/749076478146117733/939030610289262602/storm_ui_icon_auriel_shieldofhope.png
[specialEmp]: https://cdn.discordapp.com/attachments/749076478146117733/939028476634202122/storm_ui_icon_auriel_resurrect.png

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Auriel" dll to your plugins folder

3 - Have fun!

# Support Me
If you like my mods and would like to support my work, consider buying me a coffee:

[![kofilogo](https://cdn.discordapp.com/attachments/749076478146117733/939032751762460742/61e11149b3af2ee970bb8ead_Ko-fi_logo-p-250.png)](https://ko-fi.com/dragonskins)

# Credits
Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
1.4.0 - 

	Energy build up coefficient doubled.
	
	Special tick damage increased from 50%->400%. Added Linear falloff.
	
	Special final explosion damage increased 290%->600%. Explosion radius was reduced by half.
	
	Special now can only be cancelled by pressing it again.
	
	M1 can no longer be cast while casting Special, though M2 and Utility can still be used.

	Added new Emp M2 Laser Effect.
	
	Added radius indicator to Special.
	
	Fixed mesh replacements.
	
	Some internal changes for better R2API compatibility.

1.3.0 -

	Turned Energy system into a component, meaning it will have better multiplayer compatibility and better overall performance and stability.
	
	Reduced Searing Light range to incentivize medium-close range combat and to improve balance a bit. Bestow Hope still makes it go far af.
	
	Jump pads no longer send you to oblivion.
	
	Improved skill descriptions.
	
	Fixed Bestow Hope buff icon.
	
	Fixed Empowered Skills energy bonus multiplier, now they properly increase based on the amount of energy spent.
	
1.2.0 - Migrated back to R2API, because enigma. 

1.1.1 - Fixed survivor unlock condition.

1.1.0 - Added 4 skins and a unlock for each.

1.0.9 - Removed a debugging function.

1.0.8 - Fixed eror on plugin startup.

1.0.7 - Added survivor unlockable, fixed Milky Chrysalis and Crowdfunder, *hopefully* fixed errors.

1.0.3 - Fixed bug that wouldn't correctly resurrect players if they were already resurrected by other means.

1.0.2 - Fixed M2 firing multiple projectiles in multiplayer.

1.0.0 - Release
